/*********************************************************************
*               SEGGER MICROCONTROLLER GmbH & Co KG                  *
*       Solutions for real time microcontroller applications         *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2011  SEGGER Microcontroller GmbH & Co KG         *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: 3.84a                                            *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : LowInit_780066.c    (for NEC K0 780066 CPU and IAR compiler)
Purpose : low level init function called during startup.
          Initializes CPU. Please refer to IAR documentation
--------  END-OF-HEADER  ---------------------------------------------
*/

#include "io78f0066.h"

/*********************************************************************
*
*       Local functions
*
**********************************************************************
*/

#define INIT_WATCHDOG()  /* Modify if required  */

/*********************************************************************
*
*       Global functions
*
**********************************************************************
*/

/*********************************************************************
*
*       __low_level_init()
*
*       Initialize CPU function which has to be set prior
*       Segment initialization
*/

#pragma location="RCODE"
unsigned short __low_level_init ( void );
unsigned short __low_level_init ( void ) {
  INIT_WATCHDOG();  /* Initialize watchdog */
  PCC  = 0x00;      /* Use high speed mode */
  OSTS = 0x02;      /* 2^15/fx ms wait after STOP release by interrupt */
  IMS  = 0xCC;      /* Select 1024 Byte RAM and 48k Byte ROM */
  IXS  = 0x04;      /* Select 4096 Byte RAM */
  return 1;         /* Initialize segments  */
}

/****** EOF *********************************************************/

