/*********************************************************************
*               SEGGER MICROCONTROLLER GmbH & Co KG                  *
*       Solutions for real time microcontroller applications         *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2011  SEGGER Microcontroller GmbH & Co KG         *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: 3.84a                                            *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : LowInit_780148.c   (for NEC K0 780148 CPU and IAR compiler)
Purpose : low level init function called during startup.
          Initializes CPU. Please refer to IAR documentation
--------  END-OF-HEADER  ---------------------------------------------
*/

#include <io78f0148.h>

/*********************************************************************
*
*       Local functions
*
**********************************************************************
*/

#define INIT_WATCHDOG() (WDTM = 0x77)  /* Disable, may be modified  */

/*********************************************************************
*
*       Global functions
*
**********************************************************************
*/

/*********************************************************************
*
*       __low_level_init()
*
*       Initialize general CPU function
*/

#pragma location="RCODE"

unsigned short __low_level_init ( void );  /* Avoid "has no prototype" warning */
unsigned short __low_level_init ( void ) {
  INIT_WATCHDOG();  /* Initialize watchdog */
  PCC  = 0x00;      /* Use high speed mode */
  MCM  = 0x03;      /* switch CPU to high speed */
  IMS  = 0xCF;      /* select 1024 Byte RAM and 60k Byte ROM */
  IXS  = 0x0A;      /* select 1024 Byte RAM  */
  OSTS = 0x02;      /* 2^15/fx ms wait after STOP release by interrupt */
  return 1;         /* Initialize segments, required ! */
}

/****** EOF *********************************************************/

